.mini-cart {
  overflow: hidden;
  height: 100%;

  .container {
    margin: 0 auto;
    position: relative;
    width: calc(100% - 20px*2);
  }
}

.mini-cart,
.mini-cart-bg {
  position: fixed;
  z-index: 998;
  top: 0;
  bottom: 0;
  right: 0;
  width: 100%;
}

.mini-cart {
  z-index: 999;

  @media (--s) {
    max-width: 400px;
    top: 0;
    left: auto;
  }
}

.mini-cart__close {
  position: absolute;
  top:20px;
  right: 20px;
  z-index: 902;
  .is-icon {
    display: block;
    height: 11px;
    width: 11px;
    z-index: 1000;
  }

  svg {
    display: block;
  }
}

.mini-cart-bg {
  cursor: pointer;
  opacity: 0.7;
}

.mini-cart-leave-active,
.mini-cart-enter-active {
  transition: all .45s var(--ease);
}

.mini-cart-enter-to {
  transform: translate3d(0, 0, 0);

  &.mini-cart-bg {
    transform: none;
  }
}

.mini-cart-enter, .mini-cart-leave-to {
  transform: translate3d(100%, 0, 0);

  &.mini-cart-bg {
    transform: none;
    opacity: 0;
  }
}
